cfix.h File Reference

Definitions of a complex fixed-point data type CFix. More...

`#include <itpp/fixed/fix.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Classes

class | itpp::Vec< Num_T >
| Vector Class (Templated) More...
class | itpp::Mat< Num_T >
| Matrix Class (Templated) More...
class | itpp::CFix
| Complex fixed-point data type. More...

## Namespaces

| itpp
| itpp namespace

## Typedefs

typedef Vec< CFix > | itpp::cfixvec
| Typedef for complex fixed-point vector type.
typedef Mat< CFix > | itpp::cfixmat
| Typedef for complex fixed-point matrix type.

## Functions

int | itpp::assert_shifts (const CFix &x, const CFix &y)
| Check that x.shift==y.shift OR x==0 OR y==0 and return the shift (for the non-zero argument)
int | itpp::assert_shifts (const CFix &x, const Fix &y)
| Check that x.shift==y.shift OR x==0 OR y==0 and return the shift (for the non-zero argument)
int | itpp::assert_shifts (const CFix &x, int y)
| Check that x.shift==0 OR x==0 OR y==0 and return x.shift.
std::istream & | itpp::operator>> (std::istream &is, CFix &x)
| Input bit representation and, optionally, the shift.
std::ostream & | itpp::operator<< (std::ostream &os, const CFix &x)
| Output bit representation and, optionally, the shift.

## Detailed Description

Definitions of a complex fixed-point data type CFix.

Author
  Johan Bergman

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file cfix.h.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13